require "TEsound"
buttons = {}

function newButton(text, x, y, sizex, sizey, callback)
	table.insert(buttons, {Text = text, X = x, Y = y, SX = sizex, SY = sizey, CB = callback})
end

function buttons.draw()
	for i, Button in ipairs(buttons) do 
	love.graphics.rectangle("fill", Button.X-1, Button.Y-1, Button.SX, Button.SY) -- Color is default 0,0,0
	love.graphics.setColor(255, 255, 255)
	love.graphics.rectangle("fill", Button.X, Button.Y, Button.SX-2, Button.SY-2)
	love.graphics.setColor(0,0,0)
	love.graphics.setFont(love.graphics.newFont("Julee-Regular.ttf", 20))
	love.graphics.print(Button.Text, Button.X+5, Button.Y+Button.SY/2-15)
	end
end

function love.mousepressed(x, y)
	for i, Button in ipairs(buttons) do
		if x > Button.X and x < Button.X + Button.SX and y > Button.Y and y < Button.Y + Button.SY then
		Button.CB() -- When clicked call the ... callback.
		end
	end
end